Make
thingiverse.api.make
Contains endpoint functions for accessing the API
delete_copies_copy_id
asyncio(copy_id, *, client)
async
Softdelete copy by id
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Any | DeleteCopiesCopyIdResponse401 | DeleteCopiesCopyIdResponse403 | DeleteCopiesCopyIdResponse404 | None
|
Any | DeleteCopiesCopyIdResponse401 | DeleteCopiesCopyIdResponse403 | DeleteCopiesCopyIdResponse404 |
Source code in thingiverse/api/make/delete_copies_copy_id.py
asyncio_detailed(copy_id, *, client)
async
Softdelete copy by id
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[Any | DeleteCopiesCopyIdResponse401 | DeleteCopiesCopyIdResponse403 | DeleteCopiesCopyIdResponse404]
|
Response[Any | DeleteCopiesCopyIdResponse401 | DeleteCopiesCopyIdResponse403 | DeleteCopiesCopyIdResponse404] |
Source code in thingiverse/api/make/delete_copies_copy_id.py
sync(copy_id, *, client)
Softdelete copy by id
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Any | DeleteCopiesCopyIdResponse401 | DeleteCopiesCopyIdResponse403 | DeleteCopiesCopyIdResponse404 | None
|
Any | DeleteCopiesCopyIdResponse401 | DeleteCopiesCopyIdResponse403 | DeleteCopiesCopyIdResponse404 |
Source code in thingiverse/api/make/delete_copies_copy_id.py
sync_detailed(copy_id, *, client)
Softdelete copy by id
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[Any | DeleteCopiesCopyIdResponse401 | DeleteCopiesCopyIdResponse403 | DeleteCopiesCopyIdResponse404]
|
Response[Any | DeleteCopiesCopyIdResponse401 | DeleteCopiesCopyIdResponse403 | DeleteCopiesCopyIdResponse404] |
Source code in thingiverse/api/make/delete_copies_copy_id.py
delete_copies_copy_id_images_image_id
asyncio(copy_id, image_id, *, client)
async
Delete an image from a copy
Must use the DELETE method. This cannot be undone.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
image_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
DeleteCopiesCopyIdImagesImageIdResponse200 | DeleteCopiesCopyIdImagesImageIdResponse401 | DeleteCopiesCopyIdImagesImageIdResponse403 | DeleteCopiesCopyIdImagesImageIdResponse404 | None
|
DeleteCopiesCopyIdImagesImageIdResponse200 | DeleteCopiesCopyIdImagesImageIdResponse401 | DeleteCopiesCopyIdImagesImageIdResponse403 | DeleteCopiesCopyIdImagesImageIdResponse404 |
Source code in thingiverse/api/make/delete_copies_copy_id_images_image_id.py
asyncio_detailed(copy_id, image_id, *, client)
async
Delete an image from a copy
Must use the DELETE method. This cannot be undone.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
image_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[DeleteCopiesCopyIdImagesImageIdResponse200 | DeleteCopiesCopyIdImagesImageIdResponse401 | DeleteCopiesCopyIdImagesImageIdResponse403 | DeleteCopiesCopyIdImagesImageIdResponse404]
|
Response[DeleteCopiesCopyIdImagesImageIdResponse200 | DeleteCopiesCopyIdImagesImageIdResponse401 | DeleteCopiesCopyIdImagesImageIdResponse403 | DeleteCopiesCopyIdImagesImageIdResponse404] |
Source code in thingiverse/api/make/delete_copies_copy_id_images_image_id.py
sync(copy_id, image_id, *, client)
Delete an image from a copy
Must use the DELETE method. This cannot be undone.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
image_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
DeleteCopiesCopyIdImagesImageIdResponse200 | DeleteCopiesCopyIdImagesImageIdResponse401 | DeleteCopiesCopyIdImagesImageIdResponse403 | DeleteCopiesCopyIdImagesImageIdResponse404 | None
|
DeleteCopiesCopyIdImagesImageIdResponse200 | DeleteCopiesCopyIdImagesImageIdResponse401 | DeleteCopiesCopyIdImagesImageIdResponse403 | DeleteCopiesCopyIdImagesImageIdResponse404 |
Source code in thingiverse/api/make/delete_copies_copy_id_images_image_id.py
sync_detailed(copy_id, image_id, *, client)
Delete an image from a copy
Must use the DELETE method. This cannot be undone.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
image_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[DeleteCopiesCopyIdImagesImageIdResponse200 | DeleteCopiesCopyIdImagesImageIdResponse401 | DeleteCopiesCopyIdImagesImageIdResponse403 | DeleteCopiesCopyIdImagesImageIdResponse404]
|
Response[DeleteCopiesCopyIdImagesImageIdResponse200 | DeleteCopiesCopyIdImagesImageIdResponse401 | DeleteCopiesCopyIdImagesImageIdResponse403 | DeleteCopiesCopyIdImagesImageIdResponse404] |
Source code in thingiverse/api/make/delete_copies_copy_id_images_image_id.py
delete_copies_copy_id_likes
asyncio(copy_id, *, client)
async
Delete a like
Must use the DELETE method Result will be 404 Not Found if the copy doesn't exist. Result will be 400 Bad Request if the user is trying to \"unlike\" their own copy.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
DeleteCopiesCopyIdLikesResponse200 | DeleteCopiesCopyIdLikesResponse400 | DeleteCopiesCopyIdLikesResponse401 | DeleteCopiesCopyIdLikesResponse403 | DeleteCopiesCopyIdLikesResponse404 | None
|
DeleteCopiesCopyIdLikesResponse200 | DeleteCopiesCopyIdLikesResponse400 | DeleteCopiesCopyIdLikesResponse401 | DeleteCopiesCopyIdLikesResponse403 | DeleteCopiesCopyIdLikesResponse404 |
Source code in thingiverse/api/make/delete_copies_copy_id_likes.py
asyncio_detailed(copy_id, *, client)
async
Delete a like
Must use the DELETE method Result will be 404 Not Found if the copy doesn't exist. Result will be 400 Bad Request if the user is trying to \"unlike\" their own copy.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[DeleteCopiesCopyIdLikesResponse200 | DeleteCopiesCopyIdLikesResponse400 | DeleteCopiesCopyIdLikesResponse401 | DeleteCopiesCopyIdLikesResponse403 | DeleteCopiesCopyIdLikesResponse404]
|
Response[DeleteCopiesCopyIdLikesResponse200 | DeleteCopiesCopyIdLikesResponse400 | DeleteCopiesCopyIdLikesResponse401 | DeleteCopiesCopyIdLikesResponse403 | DeleteCopiesCopyIdLikesResponse404] |
Source code in thingiverse/api/make/delete_copies_copy_id_likes.py
sync(copy_id, *, client)
Delete a like
Must use the DELETE method Result will be 404 Not Found if the copy doesn't exist. Result will be 400 Bad Request if the user is trying to \"unlike\" their own copy.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
DeleteCopiesCopyIdLikesResponse200 | DeleteCopiesCopyIdLikesResponse400 | DeleteCopiesCopyIdLikesResponse401 | DeleteCopiesCopyIdLikesResponse403 | DeleteCopiesCopyIdLikesResponse404 | None
|
DeleteCopiesCopyIdLikesResponse200 | DeleteCopiesCopyIdLikesResponse400 | DeleteCopiesCopyIdLikesResponse401 | DeleteCopiesCopyIdLikesResponse403 | DeleteCopiesCopyIdLikesResponse404 |
Source code in thingiverse/api/make/delete_copies_copy_id_likes.py
sync_detailed(copy_id, *, client)
Delete a like
Must use the DELETE method Result will be 404 Not Found if the copy doesn't exist. Result will be 400 Bad Request if the user is trying to \"unlike\" their own copy.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[DeleteCopiesCopyIdLikesResponse200 | DeleteCopiesCopyIdLikesResponse400 | DeleteCopiesCopyIdLikesResponse401 | DeleteCopiesCopyIdLikesResponse403 | DeleteCopiesCopyIdLikesResponse404]
|
Response[DeleteCopiesCopyIdLikesResponse200 | DeleteCopiesCopyIdLikesResponse400 | DeleteCopiesCopyIdLikesResponse401 | DeleteCopiesCopyIdLikesResponse403 | DeleteCopiesCopyIdLikesResponse404] |
Source code in thingiverse/api/make/delete_copies_copy_id_likes.py
get_copies
asyncio(*, client, page=UNSET, per_page=UNSET)
async
Get the list of latest makes (copies).
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
page
|
int | Unset
|
Example: 1. |
UNSET
|
per_page
|
int | Unset
|
Example: 30. |
UNSET
|
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
GetCopiesResponse401 | GetCopiesResponse403 | GetCopiesResponse404 | list[CopySchema] | None
|
GetCopiesResponse401 | GetCopiesResponse403 | GetCopiesResponse404 | list[CopySchema] |
Source code in thingiverse/api/make/get_copies.py
asyncio_detailed(*, client, page=UNSET, per_page=UNSET)
async
Get the list of latest makes (copies).
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
page
|
int | Unset
|
Example: 1. |
UNSET
|
per_page
|
int | Unset
|
Example: 30. |
UNSET
|
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[GetCopiesResponse401 | GetCopiesResponse403 | GetCopiesResponse404 | list[CopySchema]]
|
Response[GetCopiesResponse401 | GetCopiesResponse403 | GetCopiesResponse404 | list[CopySchema]] |
Source code in thingiverse/api/make/get_copies.py
sync(*, client, page=UNSET, per_page=UNSET)
Get the list of latest makes (copies).
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
page
|
int | Unset
|
Example: 1. |
UNSET
|
per_page
|
int | Unset
|
Example: 30. |
UNSET
|
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
GetCopiesResponse401 | GetCopiesResponse403 | GetCopiesResponse404 | list[CopySchema] | None
|
GetCopiesResponse401 | GetCopiesResponse403 | GetCopiesResponse404 | list[CopySchema] |
Source code in thingiverse/api/make/get_copies.py
sync_detailed(*, client, page=UNSET, per_page=UNSET)
Get the list of latest makes (copies).
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
page
|
int | Unset
|
Example: 1. |
UNSET
|
per_page
|
int | Unset
|
Example: 30. |
UNSET
|
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[GetCopiesResponse401 | GetCopiesResponse403 | GetCopiesResponse404 | list[CopySchema]]
|
Response[GetCopiesResponse401 | GetCopiesResponse403 | GetCopiesResponse404 | list[CopySchema]] |
Source code in thingiverse/api/make/get_copies.py
get_copies_copy_id
asyncio(copy_id, *, client)
async
Get make (copy) by id
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
CopySchema | GetCopiesCopyIdResponse401 | GetCopiesCopyIdResponse403 | GetCopiesCopyIdResponse404 | None
|
CopySchema | GetCopiesCopyIdResponse401 | GetCopiesCopyIdResponse403 | GetCopiesCopyIdResponse404 |
Source code in thingiverse/api/make/get_copies_copy_id.py
asyncio_detailed(copy_id, *, client)
async
Get make (copy) by id
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[CopySchema | GetCopiesCopyIdResponse401 | GetCopiesCopyIdResponse403 | GetCopiesCopyIdResponse404]
|
Response[CopySchema | GetCopiesCopyIdResponse401 | GetCopiesCopyIdResponse403 | GetCopiesCopyIdResponse404] |
Source code in thingiverse/api/make/get_copies_copy_id.py
sync(copy_id, *, client)
Get make (copy) by id
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
CopySchema | GetCopiesCopyIdResponse401 | GetCopiesCopyIdResponse403 | GetCopiesCopyIdResponse404 | None
|
CopySchema | GetCopiesCopyIdResponse401 | GetCopiesCopyIdResponse403 | GetCopiesCopyIdResponse404 |
Source code in thingiverse/api/make/get_copies_copy_id.py
sync_detailed(copy_id, *, client)
Get make (copy) by id
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[CopySchema | GetCopiesCopyIdResponse401 | GetCopiesCopyIdResponse403 | GetCopiesCopyIdResponse404]
|
Response[CopySchema | GetCopiesCopyIdResponse401 | GetCopiesCopyIdResponse403 | GetCopiesCopyIdResponse404] |
Source code in thingiverse/api/make/get_copies_copy_id.py
get_copies_copy_id_comments
asyncio(copy_id, *, client)
async
Get an unthreaded paginated list of comment objects.
See also GET /copies/id/threaded-comments
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
GetCopiesCopyIdCommentsResponse401 | GetCopiesCopyIdCommentsResponse403 | GetCopiesCopyIdCommentsResponse404 | list[MakeCommentSchema] | None
|
GetCopiesCopyIdCommentsResponse401 | GetCopiesCopyIdCommentsResponse403 | GetCopiesCopyIdCommentsResponse404 | list[MakeCommentSchema] |
Source code in thingiverse/api/make/get_copies_copy_id_comments.py
asyncio_detailed(copy_id, *, client)
async
Get an unthreaded paginated list of comment objects.
See also GET /copies/id/threaded-comments
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[GetCopiesCopyIdCommentsResponse401 | GetCopiesCopyIdCommentsResponse403 | GetCopiesCopyIdCommentsResponse404 | list[MakeCommentSchema]]
|
Response[GetCopiesCopyIdCommentsResponse401 | GetCopiesCopyIdCommentsResponse403 | GetCopiesCopyIdCommentsResponse404 | list[MakeCommentSchema]] |
Source code in thingiverse/api/make/get_copies_copy_id_comments.py
sync(copy_id, *, client)
Get an unthreaded paginated list of comment objects.
See also GET /copies/id/threaded-comments
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
GetCopiesCopyIdCommentsResponse401 | GetCopiesCopyIdCommentsResponse403 | GetCopiesCopyIdCommentsResponse404 | list[MakeCommentSchema] | None
|
GetCopiesCopyIdCommentsResponse401 | GetCopiesCopyIdCommentsResponse403 | GetCopiesCopyIdCommentsResponse404 | list[MakeCommentSchema] |
Source code in thingiverse/api/make/get_copies_copy_id_comments.py
sync_detailed(copy_id, *, client)
Get an unthreaded paginated list of comment objects.
See also GET /copies/id/threaded-comments
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[GetCopiesCopyIdCommentsResponse401 | GetCopiesCopyIdCommentsResponse403 | GetCopiesCopyIdCommentsResponse404 | list[MakeCommentSchema]]
|
Response[GetCopiesCopyIdCommentsResponse401 | GetCopiesCopyIdCommentsResponse403 | GetCopiesCopyIdCommentsResponse404 | list[MakeCommentSchema]] |
Source code in thingiverse/api/make/get_copies_copy_id_comments.py
get_copies_copy_id_images
asyncio(copy_id, *, client)
async
Get images for a copy
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
GetCopiesCopyIdImagesResponse401 | GetCopiesCopyIdImagesResponse403 | GetCopiesCopyIdImagesResponse404 | list[ImageSummarySchemaType0 | None] | None
|
GetCopiesCopyIdImagesResponse401 | GetCopiesCopyIdImagesResponse403 | GetCopiesCopyIdImagesResponse404 | list[ImageSummarySchemaType0 | None] |
Source code in thingiverse/api/make/get_copies_copy_id_images.py
asyncio_detailed(copy_id, *, client)
async
Get images for a copy
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[GetCopiesCopyIdImagesResponse401 | GetCopiesCopyIdImagesResponse403 | GetCopiesCopyIdImagesResponse404 | list[ImageSummarySchemaType0 | None]]
|
Response[GetCopiesCopyIdImagesResponse401 | GetCopiesCopyIdImagesResponse403 | GetCopiesCopyIdImagesResponse404 | list[ImageSummarySchemaType0 | None]] |
Source code in thingiverse/api/make/get_copies_copy_id_images.py
sync(copy_id, *, client)
Get images for a copy
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
GetCopiesCopyIdImagesResponse401 | GetCopiesCopyIdImagesResponse403 | GetCopiesCopyIdImagesResponse404 | list[ImageSummarySchemaType0 | None] | None
|
GetCopiesCopyIdImagesResponse401 | GetCopiesCopyIdImagesResponse403 | GetCopiesCopyIdImagesResponse404 | list[ImageSummarySchemaType0 | None] |
Source code in thingiverse/api/make/get_copies_copy_id_images.py
sync_detailed(copy_id, *, client)
Get images for a copy
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[GetCopiesCopyIdImagesResponse401 | GetCopiesCopyIdImagesResponse403 | GetCopiesCopyIdImagesResponse404 | list[ImageSummarySchemaType0 | None]]
|
Response[GetCopiesCopyIdImagesResponse401 | GetCopiesCopyIdImagesResponse403 | GetCopiesCopyIdImagesResponse404 | list[ImageSummarySchemaType0 | None]] |
Source code in thingiverse/api/make/get_copies_copy_id_images.py
get_copies_copy_id_root_comments
asyncio(copy_id, *, client)
async
Get an unthreaded paginated list of root comment objects
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
GetCopiesCopyIdRootCommentsResponse401 | GetCopiesCopyIdRootCommentsResponse403 | GetCopiesCopyIdRootCommentsResponse404 | list[MakeCommentSchema] | None
|
GetCopiesCopyIdRootCommentsResponse401 | GetCopiesCopyIdRootCommentsResponse403 | GetCopiesCopyIdRootCommentsResponse404 | list[MakeCommentSchema] |
Source code in thingiverse/api/make/get_copies_copy_id_root_comments.py
asyncio_detailed(copy_id, *, client)
async
Get an unthreaded paginated list of root comment objects
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[GetCopiesCopyIdRootCommentsResponse401 | GetCopiesCopyIdRootCommentsResponse403 | GetCopiesCopyIdRootCommentsResponse404 | list[MakeCommentSchema]]
|
Response[GetCopiesCopyIdRootCommentsResponse401 | GetCopiesCopyIdRootCommentsResponse403 | GetCopiesCopyIdRootCommentsResponse404 | list[MakeCommentSchema]] |
Source code in thingiverse/api/make/get_copies_copy_id_root_comments.py
sync(copy_id, *, client)
Get an unthreaded paginated list of root comment objects
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
GetCopiesCopyIdRootCommentsResponse401 | GetCopiesCopyIdRootCommentsResponse403 | GetCopiesCopyIdRootCommentsResponse404 | list[MakeCommentSchema] | None
|
GetCopiesCopyIdRootCommentsResponse401 | GetCopiesCopyIdRootCommentsResponse403 | GetCopiesCopyIdRootCommentsResponse404 | list[MakeCommentSchema] |
Source code in thingiverse/api/make/get_copies_copy_id_root_comments.py
sync_detailed(copy_id, *, client)
Get an unthreaded paginated list of root comment objects
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[GetCopiesCopyIdRootCommentsResponse401 | GetCopiesCopyIdRootCommentsResponse403 | GetCopiesCopyIdRootCommentsResponse404 | list[MakeCommentSchema]]
|
Response[GetCopiesCopyIdRootCommentsResponse401 | GetCopiesCopyIdRootCommentsResponse403 | GetCopiesCopyIdRootCommentsResponse404 | list[MakeCommentSchema]] |
Source code in thingiverse/api/make/get_copies_copy_id_root_comments.py
get_copies_copy_id_threaded_comments
asyncio(copy_id, *, client)
async
Get all comments for this copy in a quick pre-threaded view.
This is an alternative to GET /copies/id/comments
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
GetCopiesCopyIdThreadedCommentsResponse200 | GetCopiesCopyIdThreadedCommentsResponse401 | GetCopiesCopyIdThreadedCommentsResponse403 | GetCopiesCopyIdThreadedCommentsResponse404 | None
|
GetCopiesCopyIdThreadedCommentsResponse200 | GetCopiesCopyIdThreadedCommentsResponse401 | GetCopiesCopyIdThreadedCommentsResponse403 | GetCopiesCopyIdThreadedCommentsResponse404 |
Source code in thingiverse/api/make/get_copies_copy_id_threaded_comments.py
asyncio_detailed(copy_id, *, client)
async
Get all comments for this copy in a quick pre-threaded view.
This is an alternative to GET /copies/id/comments
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[GetCopiesCopyIdThreadedCommentsResponse200 | GetCopiesCopyIdThreadedCommentsResponse401 | GetCopiesCopyIdThreadedCommentsResponse403 | GetCopiesCopyIdThreadedCommentsResponse404]
|
Response[GetCopiesCopyIdThreadedCommentsResponse200 | GetCopiesCopyIdThreadedCommentsResponse401 | GetCopiesCopyIdThreadedCommentsResponse403 | GetCopiesCopyIdThreadedCommentsResponse404] |
Source code in thingiverse/api/make/get_copies_copy_id_threaded_comments.py
sync(copy_id, *, client)
Get all comments for this copy in a quick pre-threaded view.
This is an alternative to GET /copies/id/comments
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
GetCopiesCopyIdThreadedCommentsResponse200 | GetCopiesCopyIdThreadedCommentsResponse401 | GetCopiesCopyIdThreadedCommentsResponse403 | GetCopiesCopyIdThreadedCommentsResponse404 | None
|
GetCopiesCopyIdThreadedCommentsResponse200 | GetCopiesCopyIdThreadedCommentsResponse401 | GetCopiesCopyIdThreadedCommentsResponse403 | GetCopiesCopyIdThreadedCommentsResponse404 |
Source code in thingiverse/api/make/get_copies_copy_id_threaded_comments.py
sync_detailed(copy_id, *, client)
Get all comments for this copy in a quick pre-threaded view.
This is an alternative to GET /copies/id/comments
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[GetCopiesCopyIdThreadedCommentsResponse200 | GetCopiesCopyIdThreadedCommentsResponse401 | GetCopiesCopyIdThreadedCommentsResponse403 | GetCopiesCopyIdThreadedCommentsResponse404]
|
Response[GetCopiesCopyIdThreadedCommentsResponse200 | GetCopiesCopyIdThreadedCommentsResponse401 | GetCopiesCopyIdThreadedCommentsResponse403 | GetCopiesCopyIdThreadedCommentsResponse404] |
Source code in thingiverse/api/make/get_copies_copy_id_threaded_comments.py
get_copiesreturncomplete
asyncio(*, client, page=UNSET, per_page=UNSET)
async
Get the list of latest makes (copies). The return complete ensures that the full thinginfo and image info is returned
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
page
|
int | Unset
|
Example: 1. |
UNSET
|
per_page
|
int | Unset
|
Example: 30. |
UNSET
|
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
GetCopiesreturncompleteResponse401 | GetCopiesreturncompleteResponse403 | GetCopiesreturncompleteResponse404 | list[GetCopiesreturncompleteResponse200Item] | None
|
GetCopiesreturncompleteResponse401 | GetCopiesreturncompleteResponse403 | GetCopiesreturncompleteResponse404 | list[GetCopiesreturncompleteResponse200Item] |
Source code in thingiverse/api/make/get_copiesreturncomplete.py
asyncio_detailed(*, client, page=UNSET, per_page=UNSET)
async
Get the list of latest makes (copies). The return complete ensures that the full thinginfo and image info is returned
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
page
|
int | Unset
|
Example: 1. |
UNSET
|
per_page
|
int | Unset
|
Example: 30. |
UNSET
|
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[GetCopiesreturncompleteResponse401 | GetCopiesreturncompleteResponse403 | GetCopiesreturncompleteResponse404 | list[GetCopiesreturncompleteResponse200Item]]
|
Response[GetCopiesreturncompleteResponse401 | GetCopiesreturncompleteResponse403 | GetCopiesreturncompleteResponse404 | list[GetCopiesreturncompleteResponse200Item]] |
Source code in thingiverse/api/make/get_copiesreturncomplete.py
sync(*, client, page=UNSET, per_page=UNSET)
Get the list of latest makes (copies). The return complete ensures that the full thinginfo and image info is returned
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
page
|
int | Unset
|
Example: 1. |
UNSET
|
per_page
|
int | Unset
|
Example: 30. |
UNSET
|
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
GetCopiesreturncompleteResponse401 | GetCopiesreturncompleteResponse403 | GetCopiesreturncompleteResponse404 | list[GetCopiesreturncompleteResponse200Item] | None
|
GetCopiesreturncompleteResponse401 | GetCopiesreturncompleteResponse403 | GetCopiesreturncompleteResponse404 | list[GetCopiesreturncompleteResponse200Item] |
Source code in thingiverse/api/make/get_copiesreturncomplete.py
sync_detailed(*, client, page=UNSET, per_page=UNSET)
Get the list of latest makes (copies). The return complete ensures that the full thinginfo and image info is returned
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
page
|
int | Unset
|
Example: 1. |
UNSET
|
per_page
|
int | Unset
|
Example: 30. |
UNSET
|
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[GetCopiesreturncompleteResponse401 | GetCopiesreturncompleteResponse403 | GetCopiesreturncompleteResponse404 | list[GetCopiesreturncompleteResponse200Item]]
|
Response[GetCopiesreturncompleteResponse401 | GetCopiesreturncompleteResponse403 | GetCopiesreturncompleteResponse404 | list[GetCopiesreturncompleteResponse200Item]] |
Source code in thingiverse/api/make/get_copiesreturncomplete.py
patch_copies_copy_id
asyncio(copy_id, *, client, body=UNSET)
async
Update an existing copy
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
body
|
PatchCopiesCopyIdBody | Unset
|
|
UNSET
|
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
CopySchema | PatchCopiesCopyIdResponse400 | PatchCopiesCopyIdResponse401 | PatchCopiesCopyIdResponse403 | PatchCopiesCopyIdResponse404 | None
|
CopySchema | PatchCopiesCopyIdResponse400 | PatchCopiesCopyIdResponse401 | PatchCopiesCopyIdResponse403 | PatchCopiesCopyIdResponse404 |
Source code in thingiverse/api/make/patch_copies_copy_id.py
asyncio_detailed(copy_id, *, client, body=UNSET)
async
Update an existing copy
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
body
|
PatchCopiesCopyIdBody | Unset
|
|
UNSET
|
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[CopySchema | PatchCopiesCopyIdResponse400 | PatchCopiesCopyIdResponse401 | PatchCopiesCopyIdResponse403 | PatchCopiesCopyIdResponse404]
|
Response[CopySchema | PatchCopiesCopyIdResponse400 | PatchCopiesCopyIdResponse401 | PatchCopiesCopyIdResponse403 | PatchCopiesCopyIdResponse404] |
Source code in thingiverse/api/make/patch_copies_copy_id.py
sync(copy_id, *, client, body=UNSET)
Update an existing copy
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
body
|
PatchCopiesCopyIdBody | Unset
|
|
UNSET
|
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
CopySchema | PatchCopiesCopyIdResponse400 | PatchCopiesCopyIdResponse401 | PatchCopiesCopyIdResponse403 | PatchCopiesCopyIdResponse404 | None
|
CopySchema | PatchCopiesCopyIdResponse400 | PatchCopiesCopyIdResponse401 | PatchCopiesCopyIdResponse403 | PatchCopiesCopyIdResponse404 |
Source code in thingiverse/api/make/patch_copies_copy_id.py
sync_detailed(copy_id, *, client, body=UNSET)
Update an existing copy
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
body
|
PatchCopiesCopyIdBody | Unset
|
|
UNSET
|
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[CopySchema | PatchCopiesCopyIdResponse400 | PatchCopiesCopyIdResponse401 | PatchCopiesCopyIdResponse403 | PatchCopiesCopyIdResponse404]
|
Response[CopySchema | PatchCopiesCopyIdResponse400 | PatchCopiesCopyIdResponse401 | PatchCopiesCopyIdResponse403 | PatchCopiesCopyIdResponse404] |
Source code in thingiverse/api/make/patch_copies_copy_id.py
patch_copies_copy_id_images_image_id
asyncio(copy_id, image_id, *, client)
async
Update an existing image
Must use the PATCH method
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
image_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
PatchCopiesCopyIdImagesImageIdResponse200 | PatchCopiesCopyIdImagesImageIdResponse401 | PatchCopiesCopyIdImagesImageIdResponse403 | PatchCopiesCopyIdImagesImageIdResponse404 | None
|
PatchCopiesCopyIdImagesImageIdResponse200 | PatchCopiesCopyIdImagesImageIdResponse401 | PatchCopiesCopyIdImagesImageIdResponse403 | PatchCopiesCopyIdImagesImageIdResponse404 |
Source code in thingiverse/api/make/patch_copies_copy_id_images_image_id.py
asyncio_detailed(copy_id, image_id, *, client)
async
Update an existing image
Must use the PATCH method
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
image_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[PatchCopiesCopyIdImagesImageIdResponse200 | PatchCopiesCopyIdImagesImageIdResponse401 | PatchCopiesCopyIdImagesImageIdResponse403 | PatchCopiesCopyIdImagesImageIdResponse404]
|
Response[PatchCopiesCopyIdImagesImageIdResponse200 | PatchCopiesCopyIdImagesImageIdResponse401 | PatchCopiesCopyIdImagesImageIdResponse403 | PatchCopiesCopyIdImagesImageIdResponse404] |
Source code in thingiverse/api/make/patch_copies_copy_id_images_image_id.py
sync(copy_id, image_id, *, client)
Update an existing image
Must use the PATCH method
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
image_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
PatchCopiesCopyIdImagesImageIdResponse200 | PatchCopiesCopyIdImagesImageIdResponse401 | PatchCopiesCopyIdImagesImageIdResponse403 | PatchCopiesCopyIdImagesImageIdResponse404 | None
|
PatchCopiesCopyIdImagesImageIdResponse200 | PatchCopiesCopyIdImagesImageIdResponse401 | PatchCopiesCopyIdImagesImageIdResponse403 | PatchCopiesCopyIdImagesImageIdResponse404 |
Source code in thingiverse/api/make/patch_copies_copy_id_images_image_id.py
sync_detailed(copy_id, image_id, *, client)
Update an existing image
Must use the PATCH method
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
image_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[PatchCopiesCopyIdImagesImageIdResponse200 | PatchCopiesCopyIdImagesImageIdResponse401 | PatchCopiesCopyIdImagesImageIdResponse403 | PatchCopiesCopyIdImagesImageIdResponse404]
|
Response[PatchCopiesCopyIdImagesImageIdResponse200 | PatchCopiesCopyIdImagesImageIdResponse401 | PatchCopiesCopyIdImagesImageIdResponse403 | PatchCopiesCopyIdImagesImageIdResponse404] |
Source code in thingiverse/api/make/patch_copies_copy_id_images_image_id.py
post_copies_copy_id_comments
asyncio(copy_id, *, client, body=UNSET)
async
Post a comment
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
body
|
PostCopiesCopyIdCommentsBody | Unset
|
|
UNSET
|
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
MakeCommentSchema | PostCopiesCopyIdCommentsResponse400 | PostCopiesCopyIdCommentsResponse401 | PostCopiesCopyIdCommentsResponse403 | PostCopiesCopyIdCommentsResponse404 | None
|
MakeCommentSchema | PostCopiesCopyIdCommentsResponse400 | PostCopiesCopyIdCommentsResponse401 | PostCopiesCopyIdCommentsResponse403 | PostCopiesCopyIdCommentsResponse404 |
Source code in thingiverse/api/make/post_copies_copy_id_comments.py
asyncio_detailed(copy_id, *, client, body=UNSET)
async
Post a comment
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
body
|
PostCopiesCopyIdCommentsBody | Unset
|
|
UNSET
|
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[MakeCommentSchema | PostCopiesCopyIdCommentsResponse400 | PostCopiesCopyIdCommentsResponse401 | PostCopiesCopyIdCommentsResponse403 | PostCopiesCopyIdCommentsResponse404]
|
Response[MakeCommentSchema | PostCopiesCopyIdCommentsResponse400 | PostCopiesCopyIdCommentsResponse401 | PostCopiesCopyIdCommentsResponse403 | PostCopiesCopyIdCommentsResponse404] |
Source code in thingiverse/api/make/post_copies_copy_id_comments.py
sync(copy_id, *, client, body=UNSET)
Post a comment
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
body
|
PostCopiesCopyIdCommentsBody | Unset
|
|
UNSET
|
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
MakeCommentSchema | PostCopiesCopyIdCommentsResponse400 | PostCopiesCopyIdCommentsResponse401 | PostCopiesCopyIdCommentsResponse403 | PostCopiesCopyIdCommentsResponse404 | None
|
MakeCommentSchema | PostCopiesCopyIdCommentsResponse400 | PostCopiesCopyIdCommentsResponse401 | PostCopiesCopyIdCommentsResponse403 | PostCopiesCopyIdCommentsResponse404 |
Source code in thingiverse/api/make/post_copies_copy_id_comments.py
sync_detailed(copy_id, *, client, body=UNSET)
Post a comment
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
body
|
PostCopiesCopyIdCommentsBody | Unset
|
|
UNSET
|
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[MakeCommentSchema | PostCopiesCopyIdCommentsResponse400 | PostCopiesCopyIdCommentsResponse401 | PostCopiesCopyIdCommentsResponse403 | PostCopiesCopyIdCommentsResponse404]
|
Response[MakeCommentSchema | PostCopiesCopyIdCommentsResponse400 | PostCopiesCopyIdCommentsResponse401 | PostCopiesCopyIdCommentsResponse403 | PostCopiesCopyIdCommentsResponse404] |
Source code in thingiverse/api/make/post_copies_copy_id_comments.py
post_copies_copy_id_images
asyncio(copy_id, *, client, body=UNSET)
async
Upload image to a copy
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
body
|
PostCopiesCopyIdImagesBody | Unset
|
|
UNSET
|
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
ImageSummarySchemaType0 | None | PostCopiesCopyIdImagesResponse401 | PostCopiesCopyIdImagesResponse403 | PostCopiesCopyIdImagesResponse404 | None
|
ImageSummarySchemaType0 | None | PostCopiesCopyIdImagesResponse401 | PostCopiesCopyIdImagesResponse403 | PostCopiesCopyIdImagesResponse404 |
Source code in thingiverse/api/make/post_copies_copy_id_images.py
asyncio_detailed(copy_id, *, client, body=UNSET)
async
Upload image to a copy
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
body
|
PostCopiesCopyIdImagesBody | Unset
|
|
UNSET
|
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[ImageSummarySchemaType0 | None | PostCopiesCopyIdImagesResponse401 | PostCopiesCopyIdImagesResponse403 | PostCopiesCopyIdImagesResponse404]
|
Response[ImageSummarySchemaType0 | None | PostCopiesCopyIdImagesResponse401 | PostCopiesCopyIdImagesResponse403 | PostCopiesCopyIdImagesResponse404] |
Source code in thingiverse/api/make/post_copies_copy_id_images.py
sync(copy_id, *, client, body=UNSET)
Upload image to a copy
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
body
|
PostCopiesCopyIdImagesBody | Unset
|
|
UNSET
|
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
ImageSummarySchemaType0 | None | PostCopiesCopyIdImagesResponse401 | PostCopiesCopyIdImagesResponse403 | PostCopiesCopyIdImagesResponse404 | None
|
ImageSummarySchemaType0 | None | PostCopiesCopyIdImagesResponse401 | PostCopiesCopyIdImagesResponse403 | PostCopiesCopyIdImagesResponse404 |
Source code in thingiverse/api/make/post_copies_copy_id_images.py
sync_detailed(copy_id, *, client, body=UNSET)
Upload image to a copy
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
body
|
PostCopiesCopyIdImagesBody | Unset
|
|
UNSET
|
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[ImageSummarySchemaType0 | None | PostCopiesCopyIdImagesResponse401 | PostCopiesCopyIdImagesResponse403 | PostCopiesCopyIdImagesResponse404]
|
Response[ImageSummarySchemaType0 | None | PostCopiesCopyIdImagesResponse401 | PostCopiesCopyIdImagesResponse403 | PostCopiesCopyIdImagesResponse404] |
Source code in thingiverse/api/make/post_copies_copy_id_images.py
post_copies_copy_id_likes
asyncio(copy_id, *, client)
async
Like a copy
Must use the POST method Result will be 404 Not Found if the copy doesn't exist. Result will be 400 Bad Request if the user is trying to like their own copy.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
PostCopiesCopyIdLikesResponse200 | PostCopiesCopyIdLikesResponse400 | PostCopiesCopyIdLikesResponse401 | PostCopiesCopyIdLikesResponse403 | PostCopiesCopyIdLikesResponse404 | None
|
PostCopiesCopyIdLikesResponse200 | PostCopiesCopyIdLikesResponse400 | PostCopiesCopyIdLikesResponse401 | PostCopiesCopyIdLikesResponse403 | PostCopiesCopyIdLikesResponse404 |
Source code in thingiverse/api/make/post_copies_copy_id_likes.py
asyncio_detailed(copy_id, *, client)
async
Like a copy
Must use the POST method Result will be 404 Not Found if the copy doesn't exist. Result will be 400 Bad Request if the user is trying to like their own copy.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[PostCopiesCopyIdLikesResponse200 | PostCopiesCopyIdLikesResponse400 | PostCopiesCopyIdLikesResponse401 | PostCopiesCopyIdLikesResponse403 | PostCopiesCopyIdLikesResponse404]
|
Response[PostCopiesCopyIdLikesResponse200 | PostCopiesCopyIdLikesResponse400 | PostCopiesCopyIdLikesResponse401 | PostCopiesCopyIdLikesResponse403 | PostCopiesCopyIdLikesResponse404] |
Source code in thingiverse/api/make/post_copies_copy_id_likes.py
sync(copy_id, *, client)
Like a copy
Must use the POST method Result will be 404 Not Found if the copy doesn't exist. Result will be 400 Bad Request if the user is trying to like their own copy.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
PostCopiesCopyIdLikesResponse200 | PostCopiesCopyIdLikesResponse400 | PostCopiesCopyIdLikesResponse401 | PostCopiesCopyIdLikesResponse403 | PostCopiesCopyIdLikesResponse404 | None
|
PostCopiesCopyIdLikesResponse200 | PostCopiesCopyIdLikesResponse400 | PostCopiesCopyIdLikesResponse401 | PostCopiesCopyIdLikesResponse403 | PostCopiesCopyIdLikesResponse404 |
Source code in thingiverse/api/make/post_copies_copy_id_likes.py
sync_detailed(copy_id, *, client)
Like a copy
Must use the POST method Result will be 404 Not Found if the copy doesn't exist. Result will be 400 Bad Request if the user is trying to like their own copy.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[PostCopiesCopyIdLikesResponse200 | PostCopiesCopyIdLikesResponse400 | PostCopiesCopyIdLikesResponse401 | PostCopiesCopyIdLikesResponse403 | PostCopiesCopyIdLikesResponse404]
|
Response[PostCopiesCopyIdLikesResponse200 | PostCopiesCopyIdLikesResponse400 | PostCopiesCopyIdLikesResponse401 | PostCopiesCopyIdLikesResponse403 | PostCopiesCopyIdLikesResponse404] |
Source code in thingiverse/api/make/post_copies_copy_id_likes.py
post_copies_copy_id_restore
asyncio(copy_id, *, client)
async
Restore a previously soft-deleted make
If a make was previously softdeleted (so deleted but not yet permanently), this will restore it.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
CopySchema | PostCopiesCopyIdRestoreResponse401 | PostCopiesCopyIdRestoreResponse403 | PostCopiesCopyIdRestoreResponse404 | None
|
CopySchema | PostCopiesCopyIdRestoreResponse401 | PostCopiesCopyIdRestoreResponse403 | PostCopiesCopyIdRestoreResponse404 |
Source code in thingiverse/api/make/post_copies_copy_id_restore.py
asyncio_detailed(copy_id, *, client)
async
Restore a previously soft-deleted make
If a make was previously softdeleted (so deleted but not yet permanently), this will restore it.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[CopySchema | PostCopiesCopyIdRestoreResponse401 | PostCopiesCopyIdRestoreResponse403 | PostCopiesCopyIdRestoreResponse404]
|
Response[CopySchema | PostCopiesCopyIdRestoreResponse401 | PostCopiesCopyIdRestoreResponse403 | PostCopiesCopyIdRestoreResponse404] |
Source code in thingiverse/api/make/post_copies_copy_id_restore.py
sync(copy_id, *, client)
Restore a previously soft-deleted make
If a make was previously softdeleted (so deleted but not yet permanently), this will restore it.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
CopySchema | PostCopiesCopyIdRestoreResponse401 | PostCopiesCopyIdRestoreResponse403 | PostCopiesCopyIdRestoreResponse404 | None
|
CopySchema | PostCopiesCopyIdRestoreResponse401 | PostCopiesCopyIdRestoreResponse403 | PostCopiesCopyIdRestoreResponse404 |
Source code in thingiverse/api/make/post_copies_copy_id_restore.py
sync_detailed(copy_id, *, client)
Restore a previously soft-deleted make
If a make was previously softdeleted (so deleted but not yet permanently), this will restore it.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[CopySchema | PostCopiesCopyIdRestoreResponse401 | PostCopiesCopyIdRestoreResponse403 | PostCopiesCopyIdRestoreResponse404]
|
Response[CopySchema | PostCopiesCopyIdRestoreResponse401 | PostCopiesCopyIdRestoreResponse403 | PostCopiesCopyIdRestoreResponse404] |
Source code in thingiverse/api/make/post_copies_copy_id_restore.py
post_copies_copy_id_toggle_watch
asyncio(copy_id, *, client)
async
Watch/unwatch a Make
If currently watching the specified Make, the current user will unwatch the Make, and vice versa. Only works in user context.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
PostCopiesCopyIdToggleWatchResponse200 | PostCopiesCopyIdToggleWatchResponse400 | PostCopiesCopyIdToggleWatchResponse401 | PostCopiesCopyIdToggleWatchResponse403 | PostCopiesCopyIdToggleWatchResponse404 | None
|
PostCopiesCopyIdToggleWatchResponse200 | PostCopiesCopyIdToggleWatchResponse400 | PostCopiesCopyIdToggleWatchResponse401 | PostCopiesCopyIdToggleWatchResponse403 | PostCopiesCopyIdToggleWatchResponse404 |
Source code in thingiverse/api/make/post_copies_copy_id_toggle_watch.py
asyncio_detailed(copy_id, *, client)
async
Watch/unwatch a Make
If currently watching the specified Make, the current user will unwatch the Make, and vice versa. Only works in user context.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[PostCopiesCopyIdToggleWatchResponse200 | PostCopiesCopyIdToggleWatchResponse400 | PostCopiesCopyIdToggleWatchResponse401 | PostCopiesCopyIdToggleWatchResponse403 | PostCopiesCopyIdToggleWatchResponse404]
|
Response[PostCopiesCopyIdToggleWatchResponse200 | PostCopiesCopyIdToggleWatchResponse400 | PostCopiesCopyIdToggleWatchResponse401 | PostCopiesCopyIdToggleWatchResponse403 | PostCopiesCopyIdToggleWatchResponse404] |
Source code in thingiverse/api/make/post_copies_copy_id_toggle_watch.py
sync(copy_id, *, client)
Watch/unwatch a Make
If currently watching the specified Make, the current user will unwatch the Make, and vice versa. Only works in user context.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
PostCopiesCopyIdToggleWatchResponse200 | PostCopiesCopyIdToggleWatchResponse400 | PostCopiesCopyIdToggleWatchResponse401 | PostCopiesCopyIdToggleWatchResponse403 | PostCopiesCopyIdToggleWatchResponse404 | None
|
PostCopiesCopyIdToggleWatchResponse200 | PostCopiesCopyIdToggleWatchResponse400 | PostCopiesCopyIdToggleWatchResponse401 | PostCopiesCopyIdToggleWatchResponse403 | PostCopiesCopyIdToggleWatchResponse404 |
Source code in thingiverse/api/make/post_copies_copy_id_toggle_watch.py
sync_detailed(copy_id, *, client)
Watch/unwatch a Make
If currently watching the specified Make, the current user will unwatch the Make, and vice versa. Only works in user context.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
copy_id
|
int
|
Example: 1. |
required |
Raises:
| Type | Description |
|---|---|
UnexpectedStatus
|
If the server returns an undocumented status code and Client.raise_on_unexpected_status is True. |
TimeoutException
|
If the request takes longer than Client.timeout. |
Returns:
| Type | Description |
|---|---|
Response[PostCopiesCopyIdToggleWatchResponse200 | PostCopiesCopyIdToggleWatchResponse400 | PostCopiesCopyIdToggleWatchResponse401 | PostCopiesCopyIdToggleWatchResponse403 | PostCopiesCopyIdToggleWatchResponse404]
|
Response[PostCopiesCopyIdToggleWatchResponse200 | PostCopiesCopyIdToggleWatchResponse400 | PostCopiesCopyIdToggleWatchResponse401 | PostCopiesCopyIdToggleWatchResponse403 | PostCopiesCopyIdToggleWatchResponse404] |